Sitecore and .NET Framework 4.5

Published on Friday, May 11, 2012

Update 1 (8/28/2012): As of Sitecore CMS 6.5.0 rev. 120706 (6.5.0 Update-5), this issue should have been fixed. See here under "Miscellaneous" fixes.

Just a quick note that as of this post, Sitecore (6.5.x) does not yet support .NET Framework 4.5. If you try to install Sitecore, you will be able to access the homepage and login page, but you won't be able to login. You'll see an error like this:

Error

Object of type 'System.Int32' cannot be converted to type 'System.Web.Security.Cryptography.Purpose'

This is because in .NET 4.5 there are some new namespaces in System.Web that I guess return a different value than what Sitecore was expecting (or previous .NET 4 consumers).

I googled this error to no avail. Sitecore knows about it but I am posting it in case anyone else (which there will be more soon) run into this.

Fix it

Unfortunately, this requires you to (in this order):

  • Uninstall VS11 if you have it installed
  • Uninstall .NET 4.5 (Multi-Targeting and the core one)
  • Reinstall .NET 4 (yes, you need to)

I'm a bit sad since a few of my projects are MVC4 so in order to use SC locally I now can't work on those projects on this computer. If you have the ability to use a VM or equivalent, I'd go that route to avoid having to muck up your main work environment.

About Kamran
Hi, I'm a professional full-stack developer who also loves to write, speak at conferences, work on side projects, contribute to open source, make games, and play them.
comments powered by Disqus
comments powered by Disqus